Page MenuHomePhabricator

Configure limn-mobile-data logging to output into console, file and/or logstash
Closed, ResolvedPublic

Description

Use python's logging module to log events rather than print statements. Also, add provision to push logs to a logstash endpoint.

Event Timeline

rtnpro created this task.Dec 18 2014, 5:24 PM
rtnpro claimed this task.
rtnpro raised the priority of this task from to Normal.
rtnpro updated the task description. (Show Details)
rtnpro added a project: Analytics-Engineering.
rtnpro changed Security from none to None.

Change 180828 had a related patch set uploaded (by Rtnpro):
Integrated logging

https://gerrit.wikimedia.org/r/180828

Patch-For-Review

kevinator reassigned this task from rtnpro to mforns.Feb 6 2015, 10:35 PM

reassigning to @mforns since Baha requested a fix.

mforns renamed this task from Improve logging to Configure limn-mobile-data logging to output into console, file and/or logstash.Feb 9 2015, 6:03 PM

Change 180828 merged by jenkins-bot:
Integrated logging

https://gerrit.wikimedia.org/r/180828

mforns closed this task as Resolved.Feb 19 2015, 9:51 PM